import { GunGraphWireConnector } from '@notabug/chaingun';
import { GunLmdbClient } from './GunLmdbClient';
export declare class LmdbGraphConnector extends GunGraphWireConnector {
    protected _client: GunLmdbClient;
    constructor(lmdbOpts?: LmdbOptions);
    get({ soul, cb, msgId, key }: {
        soul: string;
        key?: string;
        msgId?: string;
        cb?: GunMsgCb;
    }): () => void;
    put({ graph, diffCb, msgId, cb }: {
        graph: GunPut;
        msgId?: string;
        replyTo?: string;
        diffCb?: (msg: GunMsg) => void;
        cb?: GunMsgCb;
    }): () => void;
}
